Subscriptions

Subscription data

Returns subscriptions from your store together with subscription billing
fields and recurring revenue metrics. All returned *_date timestamps are
in UTC.

GET /api/v1/store/subscriptions

Subscription data

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/subscriptions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "subscription_id": 99123,
      "status": "active",
      "customer_id": 6001,
      "billing_period": "month",
      "billing_interval": 1,
      "start_date": "2026-01-10T15:00:00.000000Z",
      "next_payment_date": "2026-04-10T15:00:00.000000Z",
      "trial_end_date": null,
      "end_date": null,
      "cancelled_date": null,
      "total": 29,
      "total_items": 2,
      "total_mrr": 29,
      "renewal_orders_count": 3,
      "renewal_orders_total": 87,
      "parent_order_total": 29,
      "days_between_started_and_cancelled": null,
      "requires_manual_renewal": false,
      "resource_link": "https://app.metorik.com/subscriptions/99123"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 10,
    "has_more_pages": true
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • order_by string enum

    Sort field. Example: start_date

  • order_dir string enum

    Sort direction. Example: desc

  • page integer

    Page number for pagination. Example: 1

  • per_page integer

    Number of subscriptions per page. Min 1, max 100. Example: 10

  • search string

    Search term to filter subscriptions. Example: [email protected]

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • data[] object array
    + Show Child Attributes
    • subscription_id integer
    • status string
    • customer_id integer
    • billing_period string
    • billing_interval integer
    • start_date string
    • next_payment_date string
    • trial_end_date string nullable
    • end_date string nullable
    • cancelled_date string nullable
    • total integer
    • total_items integer
    • total_mrr integer
    • renewal_orders_count integer
    • renewal_orders_total integer
    • parent_order_total integer
    • days_between_started_and_cancelled string nullable
    • requires_manual_renewal boolean
    • resource_link string
  • pagination object
    + Show Child Attributes
    • current_page integer
    • per_page integer
    • has_more_pages boolean